#ifndef __PREFERENCES_I__
#define __PREFERENCES_I__

#include <gdk/gdkkeysyms.h>

#ifndef __MENU_C__ 
extern preferences_t opt_col_titles[];
extern preferences_t opt_view_titles[];
extern preferences_t preferences_titles[];
extern preferences_t opt_branches_titles[];

#else
/* keep first five elements unaltered. (needed by quick_hide()) */
preferences_t opt_col_titles[]={
	    {N_("Show sizes"),"SHOW_SIZE",SHOW_SIZE|INDIVIDUAL_TOGGLE,GDK_F1},
	    {N_("Show dates"),"SHOW_DATE",SHOW_DATE|INDIVIDUAL_TOGGLE,GDK_F2},
	    {N_("Show owner"),"SHOW_UID",SHOW_UID|INDIVIDUAL_TOGGLE,GDK_F3},
	    {N_("Show group"),"SHOW_GID",SHOW_GID|INDIVIDUAL_TOGGLE,GDK_F4},
	    {N_("Show permissions"),"SHOW_MODE",SHOW_MODE|INDIVIDUAL_TOGGLE,GDK_F5},
	    {NULL,NULL,0,0}
};

preferences_t opt_view_titles[]={
	    {N_("Icon view"),"ICON_VIEW",ICON_VIEW,0},
	    {N_("Default view"),"DEFAULT_VIEW",DEFAULT_VIEW,0},
	    {N_("Small view"),"SMALL_VIEW",SMALL_VIEW,0},
	    {N_("Detailed view"),"DETAILED_VIEW",DETAILED_VIEW,0},
	    {NULL,NULL,0,0}
};

preferences_t preferences_titles[]={
	    {N_("Autoscroll"),"AUTOSCROLL",AUTOSCROLL,GDK_A},
	    {N_("Text headers"),"TEXT_HEADERS",TEXT_HEADERS,GDK_B},
	    {N_("Copy on drag"),"DRAG_DO_COPY",DRAG_DO_COPY,GDK_C},
	    {N_("Show Hidden"),"SHOW_DOT",SHOW_DOT,GDK_D},
	    /*{N_("Filetype subsorting"),"FILETYPE_SUBS",FILETYPE_SUBS,GDK_F},*/
	    {N_("Image auto-previews"),"IMAGE_PREVIEW",IMAGE_PREVIEW,GDK_F},
	    {N_("Monitor enabled"),"ENABLE_MONITOR",ENABLE_MONITOR,GDK_G},
	    {N_("Default GTK mouse selection mode"),"ENABLE_GTK_CLICK",ENABLE_GTK_CLICK,GDK_H},
	    {N_("Resize fonts to match icons"),"ENABLE_RESIZE_FONTS",ENABLE_RESIZE_FONTS,GDK_I},
	    {N_("Disable auto trash collection"),"ENABLE_AUTO_T",ENABLE_AUTO_T,GDK_J},
	    {N_("Disable text colors"),"DISABLE_TEXT_COLOR",DISABLE_TEXT_COLOR,GDK_K},
	    {N_("Disable cell editing"),"DISABLE_EASY_EDIT",DISABLE_EASY_EDIT,GDK_L},
	    {N_("Invisible Wastebaskets"),"HIDE_WASTE_B",HIDE_WASTE_B,GDK_N},
	    {N_("rcp before scp"),"RSH_X_SSH",RSH_X_SSH,GDK_R},
	    {N_("Verbose diagnostics"),"VERBOSE",VERBOSE,GDK_V},
	    {NULL,NULL,0,0}
    };
preferences_t opt_branches_titles[]={
	    {N_("Local"),"ACTIVATE_LOCAL",ROOT_FILES,GDK_F1},
	    {N_("Book"),"ACTIVATE_BOOK",ROOT_BOOKMARKS,GDK_F2},
	    {N_("SMB Network"),"ACTIVATE_SMB",ROOT_NETWORK,GDK_F3},
#if defined(HAVE_GETMNTENT) || defined(HAVE_GETFSENT) || defined(HAVE_GETVFSENT)
	    {N_("Fstab"),"ACTIVATE_FSTAB",ROOT_FSTAB,GDK_F4},
#endif
	    {N_("Recent"),"ACTIVATE_RECENT",ROOT_RECENT,GDK_F5},
	    {N_("Frequent"),"ACTIVATE_FREQUENT",ROOT_FREQUENT,GDK_F6},
	    {N_("Trash"),"ACTIVATE_TRASH",ROOT_TRASH,GDK_F7},
	    {NULL,NULL,0,0}
    };

#endif
#endif
